For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Clusters

This endpoint enables retrieving all Clusters using pagination and optional filters.

get
/clusters
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
filter.namestring · min: 2 · max: 63Optional

The name of your Kafka cluster. Must be 63 characters or less and must begin and end with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between.

Example: my-kafka-clusterPattern: ^[A-Za-z0-9][-A-Za-z0-9_.]*[A-Za-z0-9]$
filter.statestringOptional

State of the resource. Resource states: AVAILABLE: There are no pending modification requests for this item. BUSY: There is at least one modification request pending and all following requests will be queued. DEPLOYING: The resource is being created. FAILED: The creation of the resource failed. UPDATING: The resource is being updated. FAILED_UPDATING: An update to the resource was not successful. DESTROYING: A delete command was issued, and the resource is being deleted.

Example: AVAILABLE
Responses
200

Returned all requested Clusters successfully.

application/json
idstring · uuidRequired

ID of the list of Cluster resources.

Example: ed17eb1f-ac43-5670-9e63-8be33c475449
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Cluster resources.

Example: /clusters
get/clusters
GET /clusters HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "ed17eb1f-ac43-5670-9e63-8be33c475449",
  "type": "collection",
  "href": "/clusters",
  "items": [
    {
      "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "type": "cluster",
      "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "message": "In progress.",
        "brokerAddresses": [
          "192.0.2.101:9093",
          "192.0.2.102:9093",
          "192.0.2.103:9093"
        ]
      },
      "properties": {
        "name": "my-kafka-cluster",
        "version": "4.0.0",
        "size": "XS",
        "connections": [
          {
            "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
            "lanId": "2",
            "brokerAddresses": [
              "192.0.2.101/24",
              "192.0.2.102/24",
              "192.0.2.103/24"
            ]
          }
        ]
      }
    }
  ]
}

Last updated

Was this helpful?